Announcement

Collapse
No announcement yet.

AMD Catalyst 9.5 Driver For Linux Released

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #21
    What a great surprise... Are you sure this 9.5 Catalyst isn't the same with 9.4 one??

    To be more specific:
    1. Still NO Hybrid Crossfire for my system opensuse 11.1, Xorg 7.4, Xserver 1.6.1, Radeon HD 3450 and onboard HD 3200.. Neither by enabling it as root nor as user it works, always the PC freezes when trying to load X. I enabling it via the standart procedure aticonfig etc...

    2. I still see garbage on my screen when the system changes VT in order to reboot or shutdown

    3. Still NO XvBA support for accelerated video arrived

    4. Still no 2.6.29 Kernel support

    Conclusion:
    For me the only difference between this catalyst and the previous one is the emblem 'Ati Premium Graphics' at amdcccle panel...

    Totally dissapointed...

    Comment


    • #22
      Besides the version number the changes are so small that not even ATI knows em, when you look at the missing changelog

      Comment


      • #23
        Disclaimer: this post relates only to my personal experiences.

        This all makes me glad I switched to nvidia after this trainwreck of a driver fried my old ATI card. There was a heatsink 3x bigger than it came with and it still overheated.

        Now I have a passive cooled and OC'd Geforce 9600 running at 44C. And the games actually run instead of crashing.

        Comment


        • #24
          Originally posted by djdoo View Post
          What a great surprise... Are you sure this 9.5 Catalyst isn't the same with 9.4 one??

          To be more specific:
          1. Still NO Hybrid Crossfire for my system opensuse 11.1, Xorg 7.4, Xserver 1.6.1, Radeon HD 3450 and onboard HD 3200.. Neither by enabling it as root nor as user it works, always the PC freezes when trying to load X. I enabling it via the standart procedure aticonfig etc...

          2. I still see garbage on my screen when the system changes VT in order to reboot or shutdown

          3. Still NO XvBA support for accelerated video arrived

          4. Still no 2.6.29 Kernel support

          Conclusion:
          For me the only difference between this catalyst and the previous one is the emblem 'Ati Premium Graphics' at amdcccle panel...

          Totally dissapointed...
          This is how I feel. Why even release the damn driver when it doesn't really provide any noticeable upgrade over the other. The "New Features" on the release notes is always blank.

          This is getting frustrated.

          Comment


          • #25
            You get 12 drivers, if one driver is more useful than the one before does not seem to matter. ATI does everything for the beloved version number junkies...

            Comment


            • #26
              Originally posted by energyman View Post
              and what forces you to use the latest kernel for your distro?
              Who forces you to not do so?

              CATALYST

              So think before you write.

              Comment


              • #27
                Howdy,

                I'm trying to use this driver for my FC8 system, kernel 2.6.28.8-57.fc8 and graphics card "Mobility FireGL 5250". I see no error msgs except from the kernel at boot which states that fglrx is already in the kernel AND I still have that watermark.

                Did I do something wrong?

                Does anyone have any thoughts on how I can resolve this problem?

                Regards,

                George...

                Comment


                • #28
                  Originally posted by grgoffe View Post
                  Howdy,

                  I'm trying to use this driver for my FC8 system, kernel 2.6.28.8-57.fc8 and graphics card "Mobility FireGL 5250". I see no error msgs except from the kernel at boot which states that fglrx is already in the kernel AND I still have that watermark.

                  Did I do something wrong?

                  Does anyone have any thoughts on how I can resolve this problem?

                  Regards,

                  George...
                  Judging from this page http://en.wikipedia.org/wiki/Compari...#FireGL_series

                  9-3 is the last supported driver for that card since AMD stopped supporting the R300 - R500 cards.

                  9-4 and above should support the Mobility FireGL 5600 and above.

                  Comment


                  • #29
                    The open ati driver seems to develop faster than nouveau, right?

                    Comment


                    • #30
                      changes from 9.4

                      Hello,

                      I have just updated from 9.4 to 9.5.
                      I am running a HD48500 on kubuntu 9.04.

                      I find that with catalyst 9.5, the video playback is really less smooth than with 9.4 version when using "gl" video output (in smplayer). Using "xv" video output the rendering is much better, but fatal crashes are occuring when switching fullscreen if compositing is activated.

                      Comment

                      Working...
                      X